Organizations
Update Organization
Updates the details of an existing organization.
PUT
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
Update Organization
curl --request PUT \
--url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId} \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "Example Corporation",
"industry": "Software Development",
"contact": {
"firstName": "John",
"lastName": "Smith",
"phoneNumber": "+491719876543",
"country": "DE"
},
"planId": "d5b0f4a9-b4c3-5e2d-9c8f-6b0e1d2f3a4b"
}
'import requests
url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}"
payload = {
"companyName": "Example Corporation",
"industry": "Software Development",
"contact": {
"firstName": "John",
"lastName": "Smith",
"phoneNumber": "+491719876543",
"country": "DE"
},
"planId": "d5b0f4a9-b4c3-5e2d-9c8f-6b0e1d2f3a4b"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Example Corporation',
industry: 'Software Development',
contact: {
firstName: 'John',
lastName: 'Smith',
phoneNumber: '+491719876543',
country: 'DE'
},
planId: 'd5b0f4a9-b4c3-5e2d-9c8f-6b0e1d2f3a4b'
})
};
fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "2025-04-17T14:23:30Z",
"message": "<string>",
"data": null,
"traceId": "<string>"
}Path Parameters
ID of the Vendor (UUID)
ID of the Organization to update (UUID)
Body
application/json
Data required to update an existing Organization.
Updated name of the organization.
Example:
"Example Corporation"
Updated industry the organization operates in.
Example:
"Software Development"
Updated primary contact information for the organization.
Show child attributes
Show child attributes
Updated ID of the Plan assigned to this organization (UUID).
Example:
"d5b0f4a9-b4c3-5e2d-9c8f-6b0e1d2f3a4b"
Response
Organization successfully updated
Standard API response wrapper
Was this page helpful?
⌘I
Update Organization
